# Git cheat sheet

#### Checka ut specifik commit

<code>git checkout {{sha}}</code>

#### Checka ut senaste commit

<code>git checkout master</code>

#### Byt remote

<pre><code>git remote rm origin
git remote add origin {{URL to repo}}
git push -u origin master
git remote -v</code></pre>

Alternativt

<pre><code>git remote rm origin
git remote add origin {{URL to repo}}
git pull origin master
git branch --set-upstream-to=origin/master
git pull</code></pre>

#### Slå ihop flera repon ####
Merge project-a into project-b:

<pre><code>cd path/to/project-b
git remote add project-a /path/to/project-a
git fetch project-a --tags
git merge --allow-unrelated-histories project-a/master # or whichever branch you want to merge
git remote remove project-a</code></pre>

#### Pull repository, ignorera och skriv över lokala filer

<pre><code>git fetch --all
git reset --hard
git pull</code></pre>

#### Återställ lokal arbetskatalog till utcheckad version

<code>git reset --hard</code>

<strong>VARNING</strong> - Ta bort icke trackade filer. Lägg till parametern "n" för "dry run" för att se vilka filer som kommer att raderas.

<code>git clean -f -d</code>

<strong>VARNING</strong> - Som ovan men raderar ävan ignorerade filer.

<code>git clean -f -x -d</code>

<strong>VARNING</strong> - Som ovan men raderar även filer i underkataloger (utan :/ rensas bara aktuell katalog)

<code>git clean -fxd :/</code>

## Autentisering

#### Aktivera Windows Credentials manager

<pre><code>git config --global credential.helper manager
git config --list</code></pre>

#### Kontrollera användarinformation lagrad i Windows Credentials manager

<code>rundll32.exe keymgr.dll,KRShowKeyMgr</code>